curl --request GET \
--url https://api.example.com/api/items/{id}/estimates \
--header 'Authorization: <authorization>' \
--header 'organization-id: <organization-id>'import requests
url = "https://api.example.com/api/items/{id}/estimates"
headers = {
"Authorization": "<authorization>",
"organization-id": "<organization-id>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: '<authorization>', 'organization-id': '<organization-id>'}
};
fetch('https://api.example.com/api/items/{id}/estimates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"estimateId": 123,
"estimateNumber": "EST-2024-001",
"referenceNumber": "REF-2024-001",
"estimateDate": "2024-06-01",
"formattedEstimateDate": "01/06/2024",
"amount": 1000,
"formattedAmount": "$1,000.00",
"quantity": 5,
"formattedQuantity": "5",
"rate": 200,
"formattedRate": "$200.00",
"customerDisplayName": "Acme Corp",
"customerCurrencyCode": "USD"
}
]Retrieves the item associated estimates transactions.
Headers
Value must be 'Bearer ' where is an API key prefixed with 'bc_' or a JWT token.
"Bearer bc_1234567890abcdef"
Required if Authorization is a JWT token. The organization ID to operate within.
Path Parameters
The item id
Response
The item associated estimate transactions have been successfully retrieved.
The unique identifier of the estimate.
123
The estimate number.
"EST-2024-001"
The reference number for the estimate.
"REF-2024-001"
The date of the estimate.
"2024-06-01"
The formatted estimate date.
"01/06/2024"
The amount of the estimate.
1000
The formatted amount of the estimate.
"$1,000.00"
The quantity in the estimate.
5
The formatted quantity in the estimate.
"5"
The rate in the estimate.
200
The formatted rate in the estimate.
"$200.00"
The display name of the customer.
"Acme Corp"
The currency code of the customer.
"USD"